## ros-melodic-pr2-mechanism-model 1.8.18

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(pr2_mechanism_model)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS cmake_modules roscpp pr2_hardware_interface urdf kdl_parser pluginlib angles hardware_interface rostest rosunit)

find_package(Eigen3 REQUIRED)
find_package(TinyXML REQUIRED)
find_package(urdfdom REQUIRED)
include_directories(SYSTEM ${EIGEN3_INCLUDE_DIRS})
include_directories(include ${catkin_INCLUDE_DIRS} ${urdfdom_INCLUDE_DIRS})

catkin_package(
    DEPENDS TinyXML urdfdom
    CATKIN_DEPENDS roscpp pr2_hardware_interface urdf kdl_parser pluginlib angles hardware_interface
    INCLUDE_DIRS include
    LIBRARIES pr2_mechanism_model
)

add_definitions(-O3)

add_library( pr2_mechanism_model
  src/joint.cpp
  src/robot.cpp
  src/chain.cpp
  src/tree.cpp
  src/simple_transmission.cpp
  src/pr2_gripper_transmission.cpp
  src/wrist_transmission.cpp
  src/pr2_belt_transmission.cpp
  src/joint_calibration_simulator.cpp
)

find_package(PkgConfig)
pkg_check_modules(URDFDOM REQUIRED urdfdom)
if ("${URDFDOM_VERSION}" VERSION_EQUAL "1.0.0" OR "${URDFDOM_VERSION}" VERSION_GREATER "1.0.0")
  add_definitions(-DURDFDOM_1_0_0_API)
endif()

pr2_enable_rpath(pr2_mechanism_model)
target_link_libraries(pr2_mechanism_model ${catkin_LIBRARIES} )

catkin_add_gtest(test_chain test/test_chain.cpp)
target_link_libraries(test_chain pr2_mechanism_model ${catkin_LIBRARIES})

catkin_add_gtest(test_wrist_transmission test/test_wrist_transmission.cpp)
target_link_libraries(test_wrist_transmission pr2_mechanism_model ${catkin_LIBRARIES})

# test joint calibration simulator for writing actuator state optical flags
#  in propagatePositionBackwards() call
add_executable(test_joint_calibration_simulator 
   test/test_joint_calibration_simulator.cpp
   src/joint_calibration_simulator.cpp)
target_link_libraries(test_joint_calibration_simulator pr2_mechanism_model ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
add_dependencies(test_joint_calibration_simulator gtest gtest_main)
add_dependencies(tests test_joint_calibration_simulator)
set_target_properties(test_joint_calibration_simulator PROPERTIES EXCLUDE_FROM_ALL TRUE)

add_rostest(test/test_joint_calibration_simulator.launch)

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(TARGETS pr2_mechanism_model
   RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(FILES transmission_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== debian/changelog ===
ros-melodic-pr2-mechanism-model (1.8.18-0stretch) stretch; urgency=high

  * Merge pull request #338 <https://github.com/pr2/pr2_mechanism/issues/338> from k-okada/add_travis
    update travis.yml
  * fix urdf::JointConstSharedPtr for test directory
  * fix for urdfmodel >= 1.0.0 (melodic)
  * to pass catkin run_tests, partially copied from https://github.com/PR2/pr2_mechanism/pull/329
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 11 Sep 2018 00:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.17-0stretch) stretch; urgency=high

  * Merge pull request #336 <https://github.com/pr2/pr2_mechanism/issues/336> from k-okada/hardware_interface_0.13.0
    set hardware_interface >= 0.13.0
  * set hardware_interface >= 0.13.0
    https://github.com/ros-controls/ros_control/pull/285 (which is included in hardware_interface 0.13.0) allow us to use class hardware_interface::HardwareResourceManager API
  * Merge pull request #335 <https://github.com/pr2/pr2_mechanism/issues/335> from k-okada/fix_cmake
    fix compile warning
  * fix compile warning
  * Merge pull request #332 <https://github.com/pr2/pr2_mechanism/issues/332> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Feb 2018 00:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.15-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.14-0stretch) stretch; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 13 Jan 2015 00:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.13-0stretch) stretch; urgency=high

  * Updated to use cmake_modules
  * Updated to use cmake_modules
  * Contributors: Jack Thompson

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 16 Dec 2014 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-pr2-mechanism-model
Section: misc
Priority: extra
Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
Build-Depends: debhelper (>= 9.0.0), liburdfdom-dev, ros-melodic-angles, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-hardware-interface (>= 0.13.0), ros-melodic-kdl-parser, ros-melodic-pluginlib, ros-melodic-pr2-hardware-interface, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-urdf
Homepage: http://ros.org/wiki/pr2_mechanism_model
Standards-Version: 3.9.2

Package: ros-melodic-pr2-mechanism-model
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liburdfdom-dev, ros-melodic-angles, ros-melodic-hardware-interface, ros-melodic-kdl-parser, ros-melodic-pluginlib, ros-melodic-pr2-hardware-interface, ros-melodic-roscpp, ros-melodic-urdf
Description: This package contains the robot model that is used by the realtime controllers inside controller manager.
 This robot model focuses on controlling the robot mechanism in a realtime control loop, and therefore it only contains the components of a robot that are relevant in realtime: the robot joints (with encoders, transmisisons and actuators) and the kinematic/dynamic model of the robot. The pr2_mechanism_model package is well tested and is released with a stable API.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-pr2-mechanism-model//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-pr2-mechanism-model 1.8.21

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,23 +41,25 @@
 pr2_enable_rpath(pr2_mechanism_model)
 target_link_libraries(pr2_mechanism_model ${catkin_LIBRARIES} )
 
-catkin_add_gtest(test_chain test/test_chain.cpp)
-target_link_libraries(test_chain pr2_mechanism_model ${catkin_LIBRARIES})
+if(CATKIN_ENABLE_TESTING)
+  catkin_add_gtest(test_chain test/test_chain.cpp)
+  target_link_libraries(test_chain pr2_mechanism_model ${catkin_LIBRARIES})
 
-catkin_add_gtest(test_wrist_transmission test/test_wrist_transmission.cpp)
-target_link_libraries(test_wrist_transmission pr2_mechanism_model ${catkin_LIBRARIES})
+  catkin_add_gtest(test_wrist_transmission test/test_wrist_transmission.cpp)
+  target_link_libraries(test_wrist_transmission pr2_mechanism_model ${catkin_LIBRARIES})
 
-# test joint calibration simulator for writing actuator state optical flags
-#  in propagatePositionBackwards() call
-add_executable(test_joint_calibration_simulator 
-   test/test_joint_calibration_simulator.cpp
-   src/joint_calibration_simulator.cpp)
-target_link_libraries(test_joint_calibration_simulator pr2_mechanism_model ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
-add_dependencies(test_joint_calibration_simulator gtest gtest_main)
-add_dependencies(tests test_joint_calibration_simulator)
-set_target_properties(test_joint_calibration_simulator PROPERTIES EXCLUDE_FROM_ALL TRUE)
+  # test joint calibration simulator for writing actuator state optical flags
+  #  in propagatePositionBackwards() call
+  add_executable(test_joint_calibration_simulator
+    test/test_joint_calibration_simulator.cpp
+    src/joint_calibration_simulator.cpp)
+  target_link_libraries(test_joint_calibration_simulator pr2_mechanism_model ${catkin_LIBRARIES} ${GTEST_LIBRARIES})
+  add_dependencies(test_joint_calibration_simulator gtest gtest_main)
+  add_dependencies(tests test_joint_calibration_simulator)
+  set_target_properties(test_joint_calibration_simulator PROPERTIES EXCLUDE_FROM_ALL TRUE)
 
-add_rostest(test/test_joint_calibration_simulator.launch)
+  add_rostest(test/test_joint_calibration_simulator.launch)
+endif()
 
 install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

=== debian/changelog ===
ros-melodic-pr2-mechanism-model (1.8.21-1bionic) bionic; urgency=high

  * set catkin_add_gtest within CATKIN_ENABLE_TESTING (#346 <https://github.com/pr2/pr2_mechanism/issues/346>)
    fix with CATKIN_ENABLE_TESTING=OFF
  * Parse old & new transmission style (#345 <https://github.com/pr2/pr2_mechanism/issues/345>)
    The transmission style changed in ros_control, to make them compatible
    we adjusted them in the pr2_description
    This came up when we integrated the shadow-hand- and the PR2-model
  * Contributors: Kei Okada, Michael Görner

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Tue, 21 Jun 2022 15:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.20-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sun, 10 Apr 2022 15:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.19-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Sat, 09 Apr 2022 15:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.18-1bionic) bionic; urgency=high

  * Merge pull request #338 <https://github.com/pr2/pr2_mechanism/issues/338> from k-okada/add_travis
    update travis.yml
  * fix urdf::JointConstSharedPtr for test directory
  * fix for urdfmodel >= 1.0.0 (melodic)
  * to pass catkin run_tests, partially copied from https://github.com/PR2/pr2_mechanism/pull/329
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 10 Sep 2018 15:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.17-1bionic) bionic; urgency=high

  * Merge pull request #336 <https://github.com/pr2/pr2_mechanism/issues/336> from k-okada/hardware_interface_0.13.0
    set hardware_interface >= 0.13.0
  * set hardware_interface >= 0.13.0
    https://github.com/ros-controls/ros_control/pull/285 (which is included in hardware_interface 0.13.0) allow us to use class hardware_interface::HardwareResourceManager API
  * Merge pull request #335 <https://github.com/pr2/pr2_mechanism/issues/335> from k-okada/fix_cmake
    fix compile warning
  * fix compile warning
  * Merge pull request #332 <https://github.com/pr2/pr2_mechanism/issues/332> from k-okada/maintain
    change maintainer to ROS orphaned package maintainer
  * change maintainer to ROS orphaned package maintainer
  * Contributors: Kei Okada

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Feb 2018 15:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.15-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 15:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.14-1bionic) bionic; urgency=high



 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 12 Jan 2015 15:00:00 -0000

ros-melodic-pr2-mechanism-model (1.8.13-1bionic) bionic; urgency=high

  * Updated to use cmake_modules
  * Updated to use cmake_modules
  * Contributors: Jack Thompson

 -- ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>  Mon, 15 Dec 2014 15:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: ros-melodic-pr2-mechanism-model
 Section: misc
-Priority: extra
+Priority: optional
 Maintainer: ROS Orphaned Package Maintainers <ros-orphaned-packages@googlegroups.com>
 Build-Depends: debhelper (>= 9.0.0), liburdfdom-dev, ros-melodic-angles, ros-melodic-catkin, ros-melodic-cmake-modules, ros-melodic-hardware-interface (>= 0.13.0), ros-melodic-kdl-parser, ros-melodic-pluginlib, ros-melodic-pr2-hardware-interface, ros-melodic-roscpp, ros-melodic-rostest, ros-melodic-rosunit, ros-melodic-urdf
 Homepage: http://ros.org/wiki/pr2_mechanism_model

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
